----------------
-- BubbleHenge --
----------------

local BubbleHenge = Henge:NewModule("BubbleHenge")
BubbleHenge.fullname = "BubbleHenge"
BubbleHenge.icon     = "icon"
local ML = AceLibrary("AceLocale-2.2"):new("BubbleHenge")
local SL = AceLibrary("Babble-Spell-2.2")

function BubbleHenge:Test()
	local _, pClass = UnitClass("player")
	return pClass == "PALADIN"
end

function BubbleHenge:Load()
	-- Set up defaults
	self:SetupDB({
		["profile"] = {},
		["char"] = {}
	})

	HengeSphere:AddData({
		["id"] = "mana",
		["name"] = ML["Mana"],
		["func"] = function()
			return UnitMana("player"), UnitManaMax("player")
		end,
		["event"] = "UNIT_MANA",
		["arg1"] = "player"
	})
	local spell = {
		["holylight"] = SL["Holy Light"],
		["flashoflight"] = SL["Flash of Light"],
		["layonhands"] = SL["Lay on Hands"],
		["bmight"] = SL["Blessing of Might"],
		["bwisdom"] = SL["Blessing of Wisdom"],
		["bprot"] = SL["Blessing of Protection"],
		["bfree"] = SL["Blessing of Freedom"]
	}
	for k, v in pairs(spell) do
		HengeAction:Add({
			["id"] = k,
			["name"] = v,
			["type"] = 'spell',
			["spell"] = v
		})
	end
	HengeButton:Add({
		["id"] = "healing",
		["type"] = "action",
		["name"] = ML["Healing Spells"],
		["actions"] = {
			["LeftButton"] = "holylight",
			["RightButton"] = "flashoflight",
			["Shift-LeftButton"] = "layonhands"
		},
		["options"] = {
			["anchor"] = "sphere:Main",
			["xpos"] = 0,
			["ypos"] = 0,
			["angle"] = 105,
			["texture"] = "action:LeftButton"
		}
	})
	HengeButton:Add({
		["id"] = "blessings",
		["type"] = "menu",
		["name"] = ML["Blessings"],
		["icon"] = "action",
		["children"] = {
			[1] = {
				["type"] = "child",
				["id"] = "bmight",
				["name"] = spell["bmight"],
				["icon"] = "action",
				["action"] = "bmight",
				["options"] = {
				}
			},
			[2] = {
				["type"] = "child",
				["id"] = "bwisdom",
				["name"] = spell["bwisdom"],
				["icon"] = "action",
				["action"] = "bwisdom",
				["options"] = {
				}
			},
			[3] = {
				["type"] = "child",
				["id"] = "bprot",
				["name"] = spell["bprot"],
				["icon"] = "action",
				["action"] = "bprot",
				["options"] = {
				}
			},
			[4] = {
				["type"] = "child",
				["id"] = "bfree",
				["name"] = spell["bfree"],
				["icon"] = "action",
				["action"] = "bfree",
				["options"] = {
				}
			}
		},
		["options"] = {
			["action"] = "bmight",
			["anchor"] = "sphere:Main",
			["xpos"] = 0,
			["ypos"] = 0,
			["angle"] = 35
		}
	})
end

